######################################
# Installation of various CDF headers.
######################################

install(FILES ${CDF_SOURCE_DIR}/src/include/cdf.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

install(FILES ${CDF_SOURCE_DIR}/src/include/cdfdist.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

install(FILES ${CDF_SOURCE_DIR}/src/include/cdflib.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

install(FILES ${CDF_SOURCE_DIR}/src/include/cdflib64.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

install(FILES ${CDF_SOURCE_DIR}/src/include/cdfconfig.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)
install(FILES ${CDF_SOURCE_DIR}/src/include/cdftools.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

install(FILES ${CDF_SOURCE_DIR}/src/include/cdf.inc
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT headers)

